## gcc-5-cross 1

=== debian/changelog ===
gcc-5-cross (1) unstable; urgency=medium

  * Build cross compiler packages for GCC 5.
  * Build the exact same compiler without dropping any patches from
    the native build.
  * Build for any frontend that is currently built as a native compiler.
    Leaving out gnat as a work item.
  * Build packages that can be built on the buildds.
  * Initial upload. Closes: #784079.

 -- Matthias Klose <doko@debian.org>  Sat, 09 May 2015 02:50:54 +0200

gcc-4.9-powerpc-cross (0.9) vivid; urgency=medium

  * Build for 4.9.2-10ubuntu10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2015 20:16:29 +0100

gcc-4.9-powerpc-cross (0.8) vivid; urgency=medium

  * Build using 4.9.2-10ubuntu5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2015 13:09:43 +0100

gcc-4.9-powerpc-cross (0.7) vivid; urgency=medium

  * Fix typo in cross_mangle_shlibs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Dec 2014 09:08:17 +0100

gcc-4.9-powerpc-cross (0.6) vivid; urgency=medium

  * Fix build of empty sanitizer packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Dec 2014 09:08:07 +0100

gcc-4.9-powerpc-cross (0.5) vivid; urgency=medium

  * Build using ISL 0.14.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Dec 2014 11:30:04 +0100

gcc-4.9-powerpc-cross (0.4) utopic; urgency=medium

  * Build-depend on gcc-4.9-source (>= 4.9.1-16ubuntu6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Oct 2014 16:09:59 +0200

gcc-4.9-powerpc-cross (0.3) utopic; urgency=medium

  * Build for GCC 4.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Jul 2014 16:21:11 +0200

gcc-4.9-powerpc-cross (0.2) utopic; urgency=medium

  * Update the libgo soname for GCC 4.9.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 14:45:57 +0200

gcc-4.9-powerpc-cross (0.1) utopic; urgency=medium

  * Build for GCC 4.9.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jun 2014 12:14:03 +0200

gcc-4.8-powerpc-cross (0.11) trusty; urgency=medium

  * Build-depend on gcc-4.8-source (>= 4.8.1-16).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 07:04:34 +0100

gcc-4.8-powerpc-cross (0.10) trusty; urgency=medium

  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Dec 2013 14:25:46 +0100

gcc-4.8-powerpc-cross (0.9) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-10).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 20:11:40 +0200

gcc-4.8-powerpc-cross (0.7) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-7).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jul 2013 11:43:06 +0200

gcc-4.8-powerpc-cross (0.6) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-6).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jul 2013 09:41:38 +0200

gcc-4.8-powerpc-cross (0.5) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-5).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jun 2013 17:12:23 +0200

gcc-4.8-powerpc-cross (0.4) saucy; urgency=low

  * Build gcj-4.8 and gdc-4.8 cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Jun 2013 18:13:19 +0200

gcc-4.8-powerpc-cross (0.3) saucy; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.1-2).
  * Don't build D and Java cross compilers.
  * Don't build the Go cross compiler on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Jun 2013 14:49:17 +0200

gcc-4.8-powerpc-cross (0.2) raring; urgency=low

  * Build-depend on gcc-4.8-source (>= 4.8.0-2).
  * Add new runtime libs to the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Apr 2013 12:29:26 +0200

gcc-4.7-armhf-cross (1.80) raring; urgency=low

  * Update to SVN 20130214 (r196053) from the gcc-4_7-branch.
  * Update the Linaro support to the 4.7-2013.02 release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 06:06:10 +0100

gcc-4.7-armhf-cross (1.79) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-19).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Jan 2013 18:44:29 +0100

gcc-4.7-armhf-cross (1.78) raring; urgency=low

  * Build-depend on gcc-4.7-source (>= 4.7.2-18).
  * Merge powerpc cross build changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Jan 2013 17:34:45 +0100

gcc-4.7-armhf-cross (1.77) raring; urgency=low

  * Build the libgcc1 packages from this source.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Dec 2012 16:35:19 +0100

gcc-4.7-armhf-cross (1.76) raring; urgency=low

  * Install into /usr/lib/gcc-cross to avoid file conflicts with the
    native compiler for the target architecture.
  * Don't add /usr/local/include to the standard include path, however
    /usr/local/include/<multiarch> is still on the path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Dec 2012 12:43:25 +0100

gcc-4.7-armhf-cross (1.75) raring; urgency=low

  * Fix libc6 dependencies for non-default multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2012 17:25:25 +0100

gcc-4.7-armhf-cross (1.74) raring; urgency=low

  * Configure --with-sysroot=/.
  * Don't choke on building empty packages.
  * Re-enable the multilib builds.
  * Fix -multilib dependencies.
  * Remove obsolete patches.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2012 10:43:40 +0100

gcc-4.7-armhf-cross (1.73) raring; urgency=low

  * No longer build multilib cross compiler. We do not have "armel" anymore.
  * Updated debian/control to 4.7.2-5
  * Added patch to fix libgfortran-4.7-dev section
  * Added patch to fix location of files for libstdc++-dev
  * Keep libgcc-4.7-dev for mangling

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Tue, 20 Nov 2012 15:40:37 +0100

gcc-4.7-armhf-cross (1.72) raring; urgency=low

  * Dropped merged patch.

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Fri, 26 Oct 2012 14:18:40 +0200

gcc-4.7-armhf-cross (1.71) raring; urgency=low

  * Bumped minimal version to 4.7.2-5
  * Handle all new lib*dev packages
  * Updated patches
  * Added libgcc-dev and libobjc-dev into control.in

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Wed, 24 Oct 2012 20:56:00 +0200


