=== debian/control ===
Source: gcc-5-cross
Section: devel
Priority: extra
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Standards-Version: 3.9.6
Build-Depends: gcc-5-source (>= 5.1.1-5~), binutils-multiarch (>= 2.25),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1),
  binutils-powerpc64le-linux-gnu (>= 2.25), binutils-powerpc-linux-gnu (>= 2.25), binutils-aarch64-linux-gnu (>= 2.25), binutils-arm-linux-gnueabihf (>= 2.25), binutils-arm-linux-gnueabi (>= 2.25),
  libc6-ppc64el-cross (>= 2.19), libc6-powerpc-cross (>= 2.19), libc6-arm64-cross (>= 2.19), libc6-armhf-cross (>= 2.19), libc6-armel-cross (>= 2.19),
  libc6-dev-ppc64-powerpc-cross,
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  gcj-5-jdk,
  gccgo-5,
  xz-utils, zlib1g-dev, python3
Homepage: http://gcc.gnu.org/

Package: gcc-5-powerpc64le-linux-gnu-base
Architecture: amd64 i386
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-ppc64el-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-ppc64el-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for ppc64el architecture, for use in cross-compile
 environment.

Package: libgcc-5-dev-ppc64el-cross
Architecture: all
Section: libdevel
Priority: optional
Recommends: ${dep:libcdev}
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libcilkrts}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-5 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Section: devel
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), cpp-5-powerpc64le-linux-gnu (= ${gcc:Version}), binutils-powerpc64le-linux-gnu (>= ${binutils:Version}), libgcc-5-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, libmudflap0-5-dev-ppc64el-cross (>= ${gcc:Version}), gcc-5-doc (>= ${gcc:SoftVersion}), gcc-5-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-ppc64el-cross, libgomp1-dbg-ppc64el-cross, libitm1-dbg-ppc64el-cross, libatomic1-dbg-ppc64el-cross, libtsan0-dbg-ppc64el-cross, libbacktrace1-dbg-ppc64el-cross, libquadmath-dbg-ppc64el-cross, libmudflap0-dbg-ppc64el-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-powerpc64le-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for ppc64el architecture.

Package: cpp-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Section: devel
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-5-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for ppc64el architecture.

Package: g++-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Section: devel
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), libstdc++-5-dev-ppc64el-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-powerpc64le-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), libstdc++6-5-dbg-ppc64el-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for ppc64el architecture.

Package: libgomp1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libitm1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Transactional Memory Library
 GNU Transactional Memory Library (libitm) provides transaction support for
 accesses to the memory of a process, enabling easy-to-use synchronization of
 accesses to shared memory by several threads.

Package: libatomic1-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: support library providing __atomic built-in functions
 library providing __atomic built-in functions. When an atomic call cannot
 be turned into lock-free instructions, GCC will make calls into this library.

Package: libasan2-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: AddressSanitizer -- a fast memory error detector
 AddressSanitizer (ASan) is a fast memory error detector.  It finds
 use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.

Package: libubsan0-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: UBSan -- undefined behaviour sanitizer
 UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
 Various computations will be instrumented to detect undefined behavior
 at runtime. Available for C and C++.

Package: gobjc++-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gobjc-5-powerpc64le-linux-gnu (= ${gcc:Version}), g++-5-powerpc64le-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-5-dev-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjcxx:multilib}, gcc-5-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler-powerpc64le-linux-gnu
Description: GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: gobjc-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-5-dev-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjc:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-ppc64el-cross
Provides: objc-compiler-powerpc64le-linux-gnu
Description: GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc4-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: libobjc-5-dev-ppc64el-cross
Architecture: all
Section: libdevel
Priority: optional
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgcc-5-dev-ppc64el-cross (= ${gcc:Version}), libobjc4-ppc64el-cross (>= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gobjc-5 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Objective-C applications (development files)
 This package contains the headers and static library files needed to build
 GNU ObjC applications.

Package: gfortran-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), libgfortran-5-dev-ppc64el-cross (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: fortran95-compiler
Suggests: ${gfortran:multilib}, gfortran-5-doc, libgfortran3-dbg-ppc64el-cross
Description: GNU Fortran compiler
 This is the GNU Fortran compiler, which compiles
 Fortran on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libgfortran3-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Fortran applications
 Library needed for GNU Fortran applications linked against the
 shared library.

Package: libgfortran-5-dev-ppc64el-cross
Architecture: all
Section: devel
Priority: optional
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgfortran3-ppc64el-cross, ${shlibs:Depends}, ${misc:Depends}
Replaces: gfortran-5 (<< ${gcc:SplitVersion})
Breaks: gfortran-5 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Fortran applications (development files)
 This package contains the headers and static library files needed to build
 GNU Fortran applications.

Package: gccgo-5-powerpc64le-linux-gnu
Architecture: amd64 i386
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), libgo7-ppc64el-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: go-compiler
Suggests: ${go:multilib}, gccgo-5-doc, libgo7-dbg-ppc64el-cross
Description: GNU Go compiler
 This is the GNU Go compiler, which compiles Go on platforms supported
 by the gcc compiler. It uses the gcc backend to generate optimized code.

Package: libgo7-ppc64el-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Go applications
 Library needed for GNU Go applications linked against the
 shared library.

Package: libstdc++6-ppc64el-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${dep:libc}, ${shlibs:Depends}, ${misc:Depends}
Provides: libstdc++6-ppc64el-dcv1
Conflicts: scim (<< 1.4.2-1)
Description: GNU Standard C++ Library v3
 This package contains an additional runtime library for C++ programs
 built with the GNU compiler.
 .
 libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
 was included up to g++-2.95. The first version of libstdc++-v3 appeared
 in g++-3.0.
 .
 This package contains files for ppc64el architecture, for use in cross-compile
 environment.

Package: libstdc++-5-dev-ppc64el-cross
Architecture: all
Section: devel
Priority: extra
