## gcc-5-cross 1ubuntu2

=== debian/changelog ===
gcc-5-cross (1ubuntu2) wily; urgency=medium

  * Keep ARM32 multilib packages in the control file. 

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 May 2015 12:33:38 +0200

gcc-5-cross (1ubuntu1) wily; urgency=medium

  * Fix build dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 May 2015 18:29:01 +0200
