=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1),
-  binutils-powerpc64le-linux-gnu (>= 2.25), binutils-powerpc-linux-gnu (>= 2.25), binutils-aarch64-linux-gnu (>= 2.25), binutils-arm-linux-gnueabihf (>= 2.25), binutils-arm-linux-gnueabi (>= 2.25),
-  libc6-ppc64el-cross (>= 2.19), libc6-powerpc-cross (>= 2.19), libc6-arm64-cross (>= 2.19), libc6-armhf-cross (>= 2.19), libc6-armel-cross (>= 2.19),
-  libc6-dev-ppc64-powerpc-cross,
+  binutils-powerpc64le-linux-gnu (>= 2.25) [amd64 i386], binutils-powerpc-linux-gnu (>= 2.25) [amd64 i386 ppc64el], binutils-aarch64-linux-gnu (>= 2.25) [amd64 i386], binutils-arm-linux-gnueabihf (>= 2.25) [amd64 i386 arm64], binutils-arm-linux-gnueabi (>= 2.25) [amd64 i386 arm64],
+  libc6-dev-ppc64el-cross (>= 2.19) [amd64 i386], libc6-dev-powerpc-cross (>= 2.19) [amd64 i386 ppc64el], libc6-dev-arm64-cross (>= 2.19) [amd64 i386], libc6-dev-armhf-cross (>= 2.19) [amd64 i386 arm64], libc6-dev-armel-cross (>= 2.19) [amd64 i386 arm64],
+  libc6-dev-armhf-cross [amd64 i386 arm64], libc6-dev-armel-cross [amd64 i386 arm64], libc6-dev-ppc64-powerpc-cross [amd64 i386 ppc64el],
   libisl-dev (>= 0.14-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   gcj-5-jdk,
   gccgo-5,
   xz-utils, zlib1g-dev, python3
+Build-Conflicts: gcc-multilib, libc6-dev-i386, libc6-dev-amd64
 Homepage: http://gcc.gnu.org/
 
 Package: gcc-5-powerpc64le-linux-gnu-base
@@ -52,6 +53,17 @@
  This package contains the headers and static library files necessary for
  building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.
 
+Package: libgcc1-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgcc1-ppc64el-cross (= ${gcc:EpochVersion}), ${misc:Depends}
+Description: GCC support library (debug symbols)
+ Debug symbols for the GCC support library.
+ .
+ This package contains files for ppc64el architecture, for use in cross-compile
+ environment.
+
 Package: gcc-5-powerpc64le-linux-gnu
 Architecture: amd64 i386
 Section: devel
@@ -102,6 +114,15 @@
  GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
  in the GNU Compiler Collection.
 
+Package: libgomp1-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgomp1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GCC OpenMP (GOMP) support library (debug symbols)
+ GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
+ in the GNU Compiler Collection.
+
 Package: libitm1-ppc64el-cross
 Section: devel
 Architecture: all
@@ -112,6 +133,16 @@
  accesses to the memory of a process, enabling easy-to-use synchronization of
  accesses to shared memory by several threads.
 
+Package: libitm1-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libitm1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
+Description: GNU Transactional Memory Library (debug symbols)
+ GNU Transactional Memory Library (libitm) provides transaction support for
+ accesses to the memory of a process, enabling easy-to-use synchronization of
+ accesses to shared memory by several threads.
+
 Package: libatomic1-ppc64el-cross
 Section: devel
 Architecture: all
@@ -121,6 +152,15 @@
  library providing __atomic built-in functions. When an atomic call cannot
  be turned into lock-free instructions, GCC will make calls into this library.
 
+Package: libatomic1-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libatomic1-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
+Description: support library providing __atomic built-in functions (debug symbols)
+ library providing __atomic built-in functions. When an atomic call cannot
+ be turned into lock-free instructions, GCC will make calls into this library.
+
 Package: libasan2-ppc64el-cross
 Section: devel
 Architecture: all
@@ -130,12 +170,31 @@
  AddressSanitizer (ASan) is a fast memory error detector.  It finds
  use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
 
+Package: libasan2-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libasan2-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
+Description: AddressSanitizer -- a fast memory error detector (debug symbols)
+ AddressSanitizer (ASan) is a fast memory error detector.  It finds
+ use-after-free and {heap,stack,global}-buffer overflow bugs in C/C++ programs.
+
 Package: libubsan0-ppc64el-cross
 Section: devel
 Architecture: all
 Priority: extra
 Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: UBSan -- undefined behaviour sanitizer
+ UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
+ Various computations will be instrumented to detect undefined behavior
+ at runtime. Available for C and C++.
+
+Package: libubsan0-dbg-ppc64el-cross
+Architecture: all
+Section: debug
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libubsan0-ppc64el-cross (= ${gcc:Version}), ${misc:Depends}
+Description: UBSan -- undefined behaviour sanitizer (debug symbols)
  UndefinedBehaviorSanitizer can be enabled via -fsanitize=undefined.
  Various computations will be instrumented to detect undefined behavior
  at runtime. Available for C and C++.
@@ -180,75 +239,8 @@
  This package contains the headers and static library files needed to build
  GNU ObjC applications.
 
-Package: gfortran-5-powerpc64le-linux-gnu
-Architecture: amd64 i386
-Priority: extra
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), libgfortran-5-dev-ppc64el-cross (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
-Provides: fortran95-compiler
-Suggests: ${gfortran:multilib}, gfortran-5-doc, libgfortran3-dbg-ppc64el-cross
-Description: GNU Fortran compiler
- This is the GNU Fortran compiler, which compiles
- Fortran on platforms supported by the gcc compiler. It uses the
- gcc backend to generate optimized code.
-
-Package: libgfortran3-ppc64el-cross
-Section: devel
-Architecture: all
-Priority: extra
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Runtime library for GNU Fortran applications
- Library needed for GNU Fortran applications linked against the
- shared library.
-
-Package: libgfortran-5-dev-ppc64el-cross
-Architecture: all
-Section: devel
-Priority: optional
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libgfortran3-ppc64el-cross, ${shlibs:Depends}, ${misc:Depends}
-Replaces: gfortran-5 (<< ${gcc:SplitVersion})
-Breaks: gfortran-5 (<< ${gcc:SplitVersion})
-Description: Runtime library for GNU Fortran applications (development files)
- This package contains the headers and static library files needed to build
- GNU Fortran applications.
-
-Package: gccgo-5-powerpc64le-linux-gnu
-Architecture: amd64 i386
-Priority: extra
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), gcc-5-powerpc64le-linux-gnu (= ${gcc:Version}), libgo7-ppc64el-cross (>= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
-Provides: go-compiler
-Suggests: ${go:multilib}, gccgo-5-doc, libgo7-dbg-ppc64el-cross
-Description: GNU Go compiler
- This is the GNU Go compiler, which compiles Go on platforms supported
- by the gcc compiler. It uses the gcc backend to generate optimized code.
-
-Package: libgo7-ppc64el-cross
-Section: devel
-Architecture: all
-Priority: extra
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
-Description: Runtime library for GNU Go applications
- Library needed for GNU Go applications linked against the
- shared library.
-
-Package: libstdc++6-ppc64el-cross
-Architecture: all
-Section: devel
-Priority: extra
-Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), ${dep:libc}, ${shlibs:Depends}, ${misc:Depends}
-Provides: libstdc++6-ppc64el-dcv1
-Conflicts: scim (<< 1.4.2-1)
-Description: GNU Standard C++ Library v3
- This package contains an additional runtime library for C++ programs
- built with the GNU compiler.
- .
- libstdc++-v3 is a complete rewrite from the previous libstdc++-v2, which
- was included up to g++-2.95. The first version of libstdc++-v3 appeared
- in g++-3.0.
- .
- This package contains files for ppc64el architecture, for use in cross-compile
- environment.
-
-Package: libstdc++-5-dev-ppc64el-cross
-Architecture: all
-Section: devel
-Priority: extra
+Package: libobjc4-dbg-ppc64el-cross
+Section: debug
+Architecture: all
+Priority: extra
+Depends: gcc-5-powerpc64le-linux-gnu-base (= ${gcc:Version}), libobjc4-ppc64el-cross (= ${gcc:Version}), libgcc1-dbg-ppc64el-cross, ${misc:Depends}
