=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 CROSS_BIARCH_powerpc:=ppc64
 
 HOST_ARCHS_armhf = amd64 i386 arm64
-HOST_ARCHS_armel = amd64 i386
+HOST_ARCHS_armel = amd64 i386 arm64
 HOST_ARCHS_powerpc = amd64 i386 ppc64el
 HOST_ARCHS_arm64 = amd64 i386
 HOST_ARCHS_ppc64el = amd64 i386
@@ -79,19 +79,22 @@
   keep_dbg_packages = yes
 endif
 
-# We build multilib cross compiler now
+BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
+GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),libc6-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))
+
+# build multilib cross compilers
 ifeq ($(ARM32_MULTILIBS),yes)
   ifneq (,$(filter armel, $(CROSS_ARCHES)))
-    EXTRA_BUILD_DEPS += libc6-dev-armhf-cross
+    EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
   endif
 
   ifneq (,$(filter armhf, $(CROSS_ARCHES)))
-    EXTRA_BUILD_DEPS += libc6-dev-armel-cross
+    EXTRA_BUILD_DEPS += libc6-dev-armel-cross [$(HOST_ARCHS_armhf)],
   endif
 endif
 
 ifneq (,$(filter powerpc, $(CROSS_ARCHES)))
-  EXTRA_BUILD_DEPS += libc6-dev-ppc64-powerpc-cross
+  EXTRA_BUILD_DEPS += libc6-dev-ppc64-powerpc-cross [$(HOST_ARCHS_powerpc)],
 endif
 
 PHOBOS_ARCHS = amd64 i386 x32 armel armhf
@@ -130,6 +133,7 @@
 	rm -rf gcc tmp
 	rm -f  *.*deb *.changes debian/files
 	rm -rf $(stamp)
+	rm -f debian/no-packages
 	mkdir $(stamp)
 	dh_clean
 
@@ -210,13 +214,3 @@
 	    fi ; \
 	    rm -f tmp/DEBIAN/md5sums; \
 	    (cd tmp && find usr -type f | LC_ALL=C sort | xargs -r md5sum >>DEBIAN/md5sums); \
-	    find tmp/DEBIAN -name md5sums -empty | xargs -r rm -f; \
-	    newdeb=`echo $$deb|sed -e "s/\(.*\)_\(.*\)_\(.*\)/\1_\2$(CROSS_EXT)_\3/g"`; \
-	    dpkg-deb -b tmp ../$$newdeb; \
-	    rm -rf tmp/*; \
-	done;
-endef
-
-$(stamp)repack-debs-arch: build
-	@echo START $@
-	$(call repack_debs,$(HOST_ARCH), *_$(HOST_ARCH).deb)
