## gcc-5-cross 1ubuntu3

=== debian/changelog ===
gcc-5-cross (1ubuntu3) wily; urgency=medium

  * Add gdc packages to the control file.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 May 2015 12:33:38 +0200
