=== debian/rules ===
--- 
+++ 
@@ -77,6 +77,7 @@
 
 ifeq ($(vendor),ubuntu)
   keep_dbg_packages = yes
+  keep_arm32ml_packages = yes
 endif
 
 BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
@@ -213,4 +214,3 @@
 	      gzip -c9 debian/changelog > tmp/usr/share/doc/gcc-${GCC_VER}-$${cross_gnu_type}-base/changelog.Debian.gz;\
 	    fi ; \
 	    rm -f tmp/DEBIAN/md5sums; \
-	    (cd tmp && find usr -type f | LC_ALL=C sort | xargs -r md5sum >>DEBIAN/md5sums); \
